> For the complete documentation index, see [llms.txt](https://developers.socialboards.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.socialboards.com/docs/apis/tickets/reference/endpoints/get-community-custom-fields.md).

# Get Full Community Custom Field List

{% hint style="warning" %}
All API requests should contain [authorization headers](/docs/apis/tickets/authorization-headers.md).
{% endhint %}

#### Request

```
GET /customFields
```

#### Query Parameters

This endpoint doesn't require query parameters.

#### Response

```json
{
    "data": [
        {
            "assignedCategoryIds": [],
            "defaultValue": null,
            "id": 26703,
            "isHidden": false,
            "isRequired": false,
            "isSensitiveData": false,
            "name": "Client Id",
            "placeholder": "Client Id",
            "possibleValues": [],
            "type": "text_input"
        },
        {
            "assignedCategoryIds": [],
            "defaultValue": null,
            "id": 26706,
            "isHidden": false,
            "isRequired": false,
            "isSensitiveData": false,
            "name": "Purchase date",
            "placeholder": "Purchase date",
            "possibleValues": [],
            "type": "date"
        },
        {
            "assignedCategoryIds": [],
            "defaultValue": "AGDER",
            "id": 26705,
            "isHidden": false,
            "isRequired": false,
            "isSensitiveData": false,
            "name": "Shop region",
            "placeholder": "region",
            "possibleValues": [
                {
                    "id": 16505,
                    "order": 0,
                    "value": "AGDER"
                },
                {
                    "id": 16506,
                    "order": 1,
                    "value": "INNLANDET"
                }
            ],
            "type": "region"
        }
    ],
    "errorCode": -1,
    "errorText": null
}
```

`Data` field has type array of [Custom Field](/docs/apis/tickets/reference/objects/custom-field.md) objects.
